Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.morpho.morpho_vaults(chain=models.V1MorphoVaultsChain.BASE, deposit_token="USDC")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.morpho.morphoVaults({
chain: "base",
depositToken: "USDC",
});
console.log(result);
}
run();curl --request GET \
--url https://api.compasslabs.ai/v1/morpho/vaults \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.compasslabs.ai/v1/morpho/vaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vaults": [
{
"address": "<string>",
"symbol": "<string>",
"name": "<string>",
"creationBlockNumber": 123,
"creationTimestamp": 123,
"creatorAddress": "<string>",
"whitelisted": true,
"asset": {
"symbol": "<string>",
"address": "<string>",
"decimals": 123,
"chain": {
"id": 123,
"network": "<string>"
}
},
"chain": {
"id": 123,
"network": "<string>"
},
"state": {
"id": "<string>",
"apy": 123,
"netApy": 123,
"totalAssets": 123,
"fee": 123,
"timelock": 123,
"totalAssetsUsd": 123
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Morpho
Get Vaults
Query a list of vaults you can deposit into.
Each vault has one unique token that can be deposited. In exchange for depositing tokens into a vault you receive shares. You earn yield on these shares by their exchange value increasing over time.
GET
/
v1
/
morpho
/
vaults
Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.morpho.morpho_vaults(chain=models.V1MorphoVaultsChain.BASE, deposit_token="USDC")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.morpho.morphoVaults({
chain: "base",
depositToken: "USDC",
});
console.log(result);
}
run();Query Parameters
Available options:
arbitrum, base, ethereum Symbol or address of the deposit token to filter vaults by. Optional parameter. A token identifier - either a supported symbol (e.g., USDC, WETH) or a valid Ethereum address (0x...)
Example:
"USDC"
Response
Successful Response
A list of vaults matching the query.
Show child attributes
Show child attributes
Was this page helpful?
⌘I